Page MenuHomePhabricator

Add @since 1.33 tags to every new public method in BlockRestriction
Closed, ResolvedPublic1 Story Points

Description

Please add @since tags to all the new public functions and classes added.

https://gerrit.wikimedia.org/r/c/mediawiki/core/+/453081#message-96c5ff49ec268138a26ca5b4c72bddda23a64ca4

Event Timeline

dbarratt created this task.Nov 26 2018, 5:42 AM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptNov 26 2018, 5:42 AM

FWIW not just the BlockRestriction class, every new function needs it. I noticed this when I was looking for when Block::isSitewide() was introduced actually.

dbarratt renamed this task from Add @since tags to every new public method in BlockRestriction to Add @since 1.33 tags to every new public method in BlockRestriction.Nov 26 2018, 3:21 PM
dbarratt moved this task from Backlog to User blocking on the MediaWiki-User-management board.
TBolliger moved this task from Untriaged to Backlog on the Anti-Harassment board.Nov 26 2018, 7:56 PM
TBolliger set the point value for this task to 1.Jan 2 2019, 8:07 PM
TBolliger triaged this task as Normal priority.

Change 482803 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] Add @since tags to new public methods related to partial blocks

https://gerrit.wikimedia.org/r/482803

Tchanders claimed this task.

Change 482803 merged by jenkins-bot:
[mediawiki/core@master] Add @since tags to new public methods related to partial blocks

https://gerrit.wikimedia.org/r/482803

dbarratt closed this task as Resolved.Jan 9 2019, 3:34 PM